
#------------------------------------------------
# download ELF
#------------------------------------------------

# --- paths ---
APP_DIR="./app"
REPORT_DIR="./reports"

# --- ELF file ---
ELF_NAME="app.elf"

# --- cable ID ---
CABLE_NUMBER=""

# --- use USB/UART terminal ("yes"/"no") ---
USE_TERMINAL="no"

#------------------------------------------------
# commands
#------------------------------------------------

cmd_elf=\
"nios2-download -g -r $CABLE_NUMBER $APP_DIR/$ELF_NAME"

#------------------------------------------------
# script
#------------------------------------------------

# --- output header ---
echo ""
echo "------------------------"
echo "----- download ELF -----"
echo "------------------------"
echo ""

# --- download ELF file ---
$cmd_elf || {
    echo "error: download software ELF file failed"
    exit 1
}
echo ""

#------------------------------------------------
# end
#------------------------------------------------
